Subject: bug#8682: 24.0.50; doc strings of `isearch-mode', `isearch-forward', etc.

From: "Drew Adams" <[email-masked]>
Date: Tue, 17 May 2011 07:46:36 -0700

> > (Also, some `isearch-mode' arguments should be renamed with `-P', to
> > indicate that they are boolean flags: FORWARD-P, REGEXP-P,
> > RECURSIVE-EDIT-P.)
>  
> No.

Yes, I know your argument that you want to distinguish Boolean functions (even
nullary) from Boolean-valued variables.  Still, it is a useful convention that
conveys information.

If you don't like `-P' because you think it too closely conveys "predicate" (and
you don't want to consider a variable as a nullary predicate), then choose
another naming convention for this.  It is quite helpful to suggest by a
parameter's name that it represents a truth value: nil/non-nil.